Purchase to add licenses by wallet

Purchase to add license by the user's wallet.

post
Query parameters
walletIdstringRequired

The wallet id.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Body

Contains the data for the license key create form.

packageIdstring · min: 1Required

The id of the package.

subscriptionTypeIdstring · min: 1Required

The id of the subscription type

codestring · nullableOptional

The license code custom. If the license code has value, we create with the license otherwise auto generate license code. Cannot be used when creating multiple licenses.

amountnumber · double · max: 2147483647Required

The amount value of a license to be created.

currencyCodestring · min: 1Required

The currency code in the ISO 4217 format, which is a three-letter uppercase code that identifies a specific currency. This value should strictly follow the ISO 4217 standard.

startDatestring · date-timeRequired

The start date of the license.

endDatestring · date-timeRequired

The end date of the license.

descriptionstring · nullableOptional

The description of the license.

tagsstring · nullableOptional

The tags of the license.

testModeboolean · nullableOptional

The test mode of the license. By default, it is set to false.

quantityinteger · int32 · min: 1 · max: 100 · nullableOptional

The quantity of the license to create. By default, it is 1. This value is must be between 1 and 100.

userCodestring · nullableOptional

The user code of the license. If the userCode is empty, we get the current user logged in.

Responses
chevron-right
200

The request was successful.

application/json

This provides interfaces for API responses with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Read-onlyRequired

This is the message to be displayed to the user.

databooleanRead-onlyOptional

This is the data to be returned to the client.

post
/api/v1/licenses/purchase/wallet

Last updated